Remove Knowledge Base Entry
curl --request DELETE \
--url https://api.migma.ai/v1/projects/{projectId}/knowledge-base/{entryId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.migma.ai/v1/projects/{projectId}/knowledge-base/{entryId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://api.migma.ai/v1/projects/{projectId}/knowledge-base/{entryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"success": true
},
"error": "<string>"
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"data": {}
}Remove Knowledge Base Entry
Remove a knowledge base entry from a project. Requires project:write permission.
DELETE
/
v1
/
projects
/
{projectId}
/
knowledge-base
/
{entryId}
Remove Knowledge Base Entry
Authorizations
API key authentication. Use 'Authorization: Bearer YOUR_API_KEY' where YOUR_API_KEY is obtained from the Migma dashboard under Settings → Developers → API Keys.
Path Parameters
Project ID (MongoDB ObjectId)
Pattern:
^[0-9a-fA-F]{24}$Knowledge base entry ID
Was this page helpful?
⌘I